Google SketchUp < 8.0.11752 MAC Pict Buffer Overflow

High Nessus Plugin ID 66925


A 3-D modeling application on the remote Windows host is affected by a buffer overflow vulnerability.


The version of Google SketchUp installed on the remote Windows host is earlier than 8.0.11752. As such, it reportedly is affected by a buffer overflow vulnerability.

An error exists related to the handling of embedded MAC Pict textures that allows a stack-based buffer overflow, leading to application crashes or arbitrary code execution.


Upgrade to Google SketchUp 8.0 Maintenance 2 (8.0.11752) or later.

See Also

Plugin Details

Severity: High

ID: 66925

File Name: google_sketchup_8_0_11752.nasl

Version: $Revision: 1.2 $

Type: local

Agent: windows

Family: Windows

Published: 2013/06/19

Modified: 2013/06/28

Dependencies: 56712

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:google:sketchup

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/12/01

Vulnerability Publication Date: 2013/05/23

Exploitable With

Core Impact

Reference Information

CVE: CVE-2013-3662

BID: 60250

OSVDB: 93789

IAVB: 2013-B-0063